    <nav class="navbar navbar-expand-sm navbar-dark bg-dark " style="z-index:100;">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo03" aria-controls="navbarTogglerDemo03" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <a class="navbar-brand">UniqueDesign</a>
      <div class="collapse navbar-collapse" id="navbar">
        <ul class="navbar-nav mr-auto mt-2 mt-lg-0" role="tablist">
          <li class="nav-item">
            <a class="nav-link"  routerLink="/design" routerLinkActive="active">Design</a>
          </li>
          <li class="nav-item">
            <a class="nav-link"  routerLink="/product-list" routerLinkActive="active">Old Designs</a>
          </li>
          <li class="nav-item">
            <a class="nav-link"  routerLink="/store" routerLinkActive="active">Store</a>
          </li>
          </ul>
          <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link" routerLink="/login" routerLinkActive="active" *ngIf="user===null" role="tab">Login</a>
        </li>
        <li class="nav-item" *ngIf="user!==null">
          <a class="nav-link" routerLink="/user" routerLinkActive="active" role="tab">{{this.user.username}}</a>
        </li>
        </ul>
      </div>
    </nav>
